{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list tags_matriculas %}
{% load url from future %}
{% load admin_urls %}

{% block extrastyle %}
    {{ block.super }}

    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    <script type="text/javascript" src="{% static 'admin/js/core.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/admin/RelatedObjectLookups.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.init.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/actions.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'custom/js/Pagos/ventana_popup.js' %}"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>

    {{ media.css }}
{% endblock %}

{% block extrahead %}
    {{ block.super }}
    {{ media.js }}
    <script type="text/javascript">
        (function ($) {
            $(document).ready(function ($) {
                $("tr input.action-select").actions();
            });
        })(django.jQuery);
    </script>
{% endblock %}


{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        <a href="../../">
            {% trans "Trámite Documento" %} &rsaquo;
        </a>
        {% trans "Trámites" %} {{ periodo }}
    </div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
    <h2>Alumnos Matriculados {{ periodo }}</h2>
    <div id="content-main">
        {% block object-tools %}
            <ul class="object-tools">
                {% if perms.Tramitedocumento.add_documento %}
                    <li>
                        <a class="addlink" href="../../../../documento/add/{{ periodo.id }}/">
                            {% trans 'Nuevo Trámite' %}
                        </a>
                    </li>
                {% endif %}
            </ul>
        {% endblock %}
        <div class="module filtered" id="changelist">

            <div id="toolbar">
                <form id="changelist-search" action="" method="get">{% csrf_token %}
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="c" value="{{ query1|escape }}"/>
                        {% endif %}
                        {% if query2 %}
                            <input type="hidden" name="p" value="{{ query2|escape }}"/>
                        {% endif %}
                        {% if query3 %}
                            <input type="hidden" name="s" value="{{ query3|escape }}"/>
                        {% endif %}
                        {% if query4 %}
                            <input type="hidden" name="e" value="{{ query4|escape }}"/>
                        {% endif %}
                        <input type="submit" value="{% trans 'Search' %}"/>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>


            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>
                    <h3> {% trans 'Por Carrera' %}</h3>

                    <ul>
                        <li {% if not query1 %}class="selected"{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}{% endif %}">Todos/as</a>
                        </li>

                        {% for carrera in carreras %}
                            <li {% ifequal query1 carrera.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}c={{ carrera.id }}">{{ carrera.Carrera }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Año Ingreso' %}</h3>
                    <ul>
                        <li {% if not query2 %}class="selected"{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}{% endif %}">Todos/as</a>
                        </li>
                        {% for anio in anios %}
                            <li {% ifequal query2 anio|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}p={{ anio }}">{{ anio }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Semestre Ingreso' %}</h3>
                    <ul>
                        <li {% if not query3 %}class="selected"{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query4 %}e={{ query4 }}{% endif %}">Todos/as</a>
                        </li>
                        {% for semestre in semestres %}
                            <li {% ifequal query3 semestre|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}s={{ semestre }}">{{ semestre }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Condición' %}</h3>
                    <ul>
                        <li {% if not query4 %}class="selected"{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}{% endif %}">Todos/as</a>
                        </li>
                        {% for condicion in condiciones %}
                            <li {% ifequal query4 condicion|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}e={{ condicion }}">{{ condicion }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                </div>
            {% endblock %}
            <form id='changelist-form' method="POST" action="">{% csrf_token %}
                <div class="actions">
                    <label>Acción:</label>
                    <select name="action">
                        <option selected="selected" value="">---------</option>

                    </select>
                    <input class="select-across" type="hidden" name="select_across" value="0">
                    <button class="button" name="index" title="Ejecutar la acción seleccionada" type="SUBMIT">Ejecutar
                    </button>
                    <script type="text/javascript">
                        var _actions_icnt = "100";
                    </script>
                    <span class="action-counter" style="display: inline;">{{ n_alumnos }} Matriculados UDL</span>
                    <span class="all" style="display: none;">{{ n_alumnos }} Matriculados UDL seleccionados</span>
                    <span class="question" style="display: none;"><a
                            title="Pulse aquí para seleccionar los objetos a través de todas las páginas"
                            href="javascript:;">Seleccionar todos los {{ n_alumnos }} Alumnos UDL</a></span>
                    <span class="clear" style="display: none;"><a href="javascript:;">Limpiar selección</a></span>
                </div>

                {% block result_list %}
                    {% if query %}
                        <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                    {% endif %}
                    {% if results %}
                        <div class="results">
                            <table id='result_list'>
                                <THEAD>
                                <TR>
                                    <TH scope='col' class='action-checkbox-column'>
                                        <div class="text"><span><input type="checkbox" id="action-toggle"
                                                                       style="display: inline;"></span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Código' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Alumno' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Categoria' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Carrera' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Condición' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Fecha. Matric.' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans '¿Actualizó?' %}</span></div>
                                    </TH>
                                    {% if perms.Tramitedocumento.change_documento %}
                                        <TH scope='col'>
                                            <div class="text"><span>{% trans 'Documentos' %}</span></div>
                                        </TH>
                                    {% endif %}

                                </TR>
                                </THEAD>
                                <TBODY>
                                {% for matriculado in results.object_list %}
                                    <TR class="{% cycle 'row1' 'row2' %}">
                                        <TD class='action-checkbox'><input type="checkbox" name="_selected_action"
                                                                           value="{{ matriculado.id }}"
                                                                           class="action-select"></TD>
                                        <TD>
                                            <a href="../../add/{{ periodo.id }}/{{ matriculado.Alumno.id }}">{{ matriculado.Alumno.Codigo|escape }}</a>
                                        </TD>
                                        <TD>{{ matriculado.Alumno|escape }}</TD>
                                        <TD>{{ matriculado.categoria|escape }}</TD>
                                        <TD>{{ matriculado.Alumno.Carrera|escape }}</TD>
                                        <TD>{{ matriculado.Estado }}</TD>
                                        <TD>{{ matriculado.FechaMatricula|escape }}</TD>
                                        {% if matriculado.Alumno.Actualizodatos %}
                                            <td><img alt='1' src='/static/admin/img/icon-yes.gif'/></td>
                                        {% else %}
                                            <td><img alt='0' src='/static/admin/img/icon-no.gif'/></td>
                                        {% endif %}
                                        {% if perms.Tramitedocumento.change_documento %}
                                            <TD><a class="changelink"
                                                   href="../../ver/{{ periodo.id }}/{{ matriculado.Alumno.id }}"></a>
                                            </TD>
                                        {% endif %}
                                    </TR>
                                {% endfor %}
                                </TBODY>
                            </table>
                        </div>
                    {% else %}
                        <p>{% trans 'No se encontraron coincidencias' %}</p>
                    {% endif %}
                {% endblock %}
                {% block pagination %}
                    {% render_paginator 2 3 %}
                {% endblock %}
            </form>
        </div>
    </div>
{% endblock %}
